package jp.ac.kyutech.mns.ist.util;

import java.awt.Component;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JTabbedPane;

public class SecondaryFrame extends JFrame {
	private static final long serialVersionUID = -7122898747340962508L;
	JTabbedPane tab;
	
	public SecondaryFrame(String title){
		super(title);
		tab = new JTabbedPane();
		getContentPane().add(tab);
		
		addTab("1",new JButton("1"));
		addTab("2",new JButton("2"));
		addTab("3",new JButton("3"));
		
	}
	public void addTab(String title, Component c){
		tab.addTab(title, c);
	}
}
